directories:
  output: out
  buildResources: assets
appId: com.developandfix.filmlab.desktop
extends: null
productName: FilmLab
copyright: Copyright 2024 Develop and Fix, Inc.
generateUpdatesFilesForAllChannels: true
detectUpdateChannel: true
files:
  - filter:
      - main/*.js
      - dist/*.*
      - dist/static
fileAssociations:
  - ext: fprc
    role: Editor
    name: FilmLab
    rank: Owner
  - ext: 3fr
    role: Viewer
  - ext: ari
    role: Viewer
  - ext: arw
    role: Viewer
  - ext: bay
    role: Viewer
  - ext: braw
    role: Viewer
  - ext: crw
    role: Viewer
  - ext: cr2
    role: Viewer
  - ext: cr3
    role: Viewer
  - ext: cap
    role: Viewer
  - ext: data
    role: Viewer
  - ext: dcs
    role: Viewer
  - ext: dcr
    role: Viewer
  - ext: dng
    role: Viewer
  - ext: drf
    role: Viewer
  - ext: eip
    role: Viewer
  - ext: erf
    role: Viewer
  - ext: gpr
    role: Viewer
  - ext: iiq
    role: Viewer
  - ext: k25
    role: Viewer
  - ext: kdc
    role: Viewer
  - ext: mdc
    role: Viewer
  - ext: mef
    role: Viewer
  - ext: mos
    role: Viewer
  - ext: mrw
    role: Viewer
  - ext: nef
    role: Viewer
  - ext: nrw
    role: Viewer
  - ext: obm
    role: Viewer
  - ext: ori
    role: Viewer
  - ext: orf
    role: Viewer
  - ext: pef
    role: Viewer
  - ext: ptx
    role: Viewer
  - ext: pxn
    role: Viewer
  - ext: r3d
    role: Viewer
  - ext: raf
    role: Viewer
  - ext: raw
    role: Viewer
  - ext: rwl
    role: Viewer
  - ext: rw2
    role: Viewer
  - ext: rwz
    role: Viewer
  - ext: sr2
    role: Viewer
  - ext: srf
    role: Viewer
  - ext: srw
    role: Viewer
  - ext: x3f
    role: Viewer
  - ext: pi-raw
    role: Viewer
  - ext: tif
    role: Viewer
  - ext: tiff
    role: Viewer
  - ext: fff
    role: Viewer
  - ext: jpg
    role: Viewer
  - ext: jpeg
    role: Viewer
  - ext: jpf
    role: Viewer
  - ext: jp2
    role: Viewer
protocols:
  - name: File
    schemes:
      - 'file:'
    role: Viewer
asar: true
asarUnpack: node_modules
mac:
  target:
    target: default
  category: public.app-category.photography
  identity: Develop and Fix, Inc. (UAGC35XKV5)
  notarize: true
  entitlements: entitlements.plist
  entitlementsInherit: entitlements.plist
  gatekeeperAssess: false
  hardenedRuntime: true
  darkModeSupport: true
  mergeASARs: false
  icon: assets/icon.icns
  publish:
    provider: generic
    url: https://downloads.filmlabapp.com/desktop/
mas:
  entitlements: entitlements.plist
  entitlementsInherit: entitlements.plist
dmg:
  icon: assets/dmg-icon.icns
  format: ULFO
win:
  publish:
    provider: generic
    url: https://downloads.filmlabapp.com/desktop/
  target:
    target: nsis
appx:
  applicationId: com.developandfix.filmlab
  publisherDisplayName: Develop and Fix, Inc
  identityName: DevelopandFixInc.FilmLab
  publisher: CN=A856C6D8-37B1-49C2-A8BE-BF4541418A4C
nsis:
  oneClick: false
  perMachine: false
  runAfterFinish: true
linux:
  category: Graphics
  executableName: filmlab-desktop
  publish:
    provider: generic
    url: https://downloads.filmlabapp.com/desktop/
  target:
    target: AppImage
appImage: {}
electronVersion: 19.1.9
